<?php

namespace Litecms\Feature\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FeaturesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Feature\Models\Features $features)
    {
        return [
            'id'                => $features->getRouteKey(),
            'key'               => [
                'public'    => $features->getPublicKey(),
                'route'     => $features->getRouteKey(),
            ], 
            'title'             => $features->title,
            'status'            => $features->status,
            'url'               => [
                'public'    => trans_url('feature/'.$features->getPublicKey()),
                'user'      => guard_url('feature/features/'.$features->getRouteKey()),
            ], 
            'status'            => trans('app.'.$features->status),
            'created_at'        => format_date($features->created_at),
            'updated_at'        => format_date($features->updated_at),
        ];
    }
}